<?php 

namespace Teknisa\MAN\Services;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DataSource\FilterCriteria;

class MapPortaLoja {
    
    // Searches for an unique CDPORTAIMPR in a specific LOJA And FILIAL... 
    public function find(FilterCriteria $filterCriteria, Manager $dataSourceManager, $dataSourceName = 'select_mapportaloja') {
        //A new FilterCriteria with the dataSourceName 
        $newfilterCriteria = new FilterCriteria($dataSourceName);
        
        
        // FilterCriteria conditions merge 
        foreach($filterCriteria->getConditions() as $condition) {
            $newfilterCriteria->addCondition( $condition['columnName'], $condition['operator'], $condition['value']); 
        }
        
        //Search in the DB
        $dataSet = $dataSourceManager->findBy($newfilterCriteria);
        //Returns the rows
        return $dataSet->getRows();
    } 
}
